Package net.postgis.jdbc

# Class PGgeo

java.lang.Object
org.postgresql.util.PGobject
net.postgis.jdbc.PGgeo

All Implemented Interfaces:
  `Serializable`, `Cloneable`

Direct Known Subclasses:
  `PGgeography`, `PGgeometry`

public class PGgeo extends org.postgresql.util.PGobject
A PostgreSQL JDBC PGobject extension data type modeling a "geo" type. This class serves as a common superclass for classes such as PGgeometry and PGgeography which model more specific type semantics.

Author:
  Phillip Ross
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.postgresql.util.PGobject

`type, value`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PGgeo()`
Instantiate with default state.
``
`PGgeo(String value)`
Instantiate with the specified state.
``
`PGgeo(Geometry geometry)`
Instantiate with the specified state.

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`Geometry`
`getGeometry()`
Get the encapsulated geometry.
`int`
`getGeoType()`
Get the type of the encapsulated geometry.
`String`
`getValue()`
`void`
`setGeometry(Geometry geometry)`
Set the encapsulated geometry.
`void`
`setValue(String value)`
`String`
`toString()`

### Methods inherited from class org.postgresql.util.PGobject

`equals, equals, getType, hashCode, isNull, setType`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PGgeo

protected PGgeo()
Instantiate with default state.

### PGgeo

public PGgeo(Geometry geometry)
Instantiate with the specified state.

Parameters:
  `geometry` - the geometry to instantiate with

### PGgeo

public PGgeo(String value) throws SQLException
Instantiate with the specified state.

Parameters:
  `value` - the value to instantiate with
Throws:
  `SQLException`

## Method Details

### getValue

public String getValue()

Overrides:
  `getValue` in class `org.postgresql.util.PGobject`

### setValue

public void setValue(String value) throws SQLException

Overrides:
  `setValue` in class `org.postgresql.util.PGobject`
Throws:
  `SQLException`

### getGeometry

public Geometry getGeometry()
Get the encapsulated geometry.

Returns:
  the encapsulated geomtery

### setGeometry

public void setGeometry(Geometry geometry)
Set the encapsulated geometry.

Parameters:
  `geometry` - the encapsulated geometry

### getGeoType

public int getGeoType()
Get the type of the encapsulated geometry.

Returns:
  the type of the encapsulated geometry

### toString

public String toString()

Overrides:
  `toString` in class `org.postgresql.util.PGobject`

### clone

public Object clone()

Overrides:
  `clone` in class `org.postgresql.util.PGobject`